package com.srccodes.examples;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 
 * @author Abhijit Ghosh
 * @version 1.0
 */
public class Log4jSLF4JHello {
    private static Logger slf4jLogger = LoggerFactory.getLogger(Log4jSLF4JHello.class);

    /**
     * Print hello in log using log4j log implementation
     * 
     * @param name
     */
    public void sayHello(String name) {
        slf4jLogger.info("Hi, {}", name);
        slf4jLogger.info("Welcome to the HelloWorld example of Log4j using SLF4J");
    }

    /**
     * @param args
     */
    public static void main(String[] args) {
        Log4jSLF4JHello slf4jHello = new Log4jSLF4JHello();
        slf4jHello.sayHello("srccodes.com");
    }
}